Bug 1248427 - Latest repo that should point to 3.6.0-4, pointing to 3.6.0-3 | please update repos. [NEEDINFO]
Latest repo that should point to 3.6.0-4, pointing to 3.6.0-3 | please update...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: releng (Show other bugs)
3.6.0
x86_64 Linux
unspecified Severity urgent
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Joey Boggs
Entitlement Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 05:23 EDT by Nikolai Sednev
Modified: 2016-04-19 21:38 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:38:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Rel-Eng
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
eedri: needinfo? (mkovgan)


Attachments (Terms of Use)

  None (edit)
Description Nikolai Sednev 2015-07-30 05:23:49 EDT
Description of problem:
Latest repo that should point to 3.6.0-4, pointing to 3.6.0-3 | please update repos.

[root@alma03 ~]# yum clean all
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Cleaning repos: rhel-7.2 rhel-72-optional                                                                      
Cleaning up everything                                                                                         
[root@alma03 ~]# cat /etc/redhat-release                                                                       
Red Hat Enterprise Linux Server release 7.2 Beta (Maipo)                                                       
[root@alma03 ~]# cat /proc/version                                                                             
Linux version 3.10.0-229.9.1.el7.x86_64 (mockbuild@x86-021.build.eng.bos.redhat.com) (gcc version 4.8.3 20140911 (Red Hat 4.8.3-9) (GCC) ) #1 SMP Sat Jul 4 17:21:43 EDT 2015                                                                                     
[root@alma03 ~]# yum install -y http://bob.eng.lab.tlv.redhat.com/builds/3.6/3.6.0/latest_3.6.0/ovirt-release-master-latest.master.noarch.rpm                                                                                                                     
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager                                               
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.                  
ovirt-release-master-latest.master.noarch.rpm                                                             | 7.3 kB  00:00:00     
Examining /var/tmp/yum-root-NZPcDW/ovirt-release-master-latest.master.noarch.rpm: ovirt-release-master-001-0.9.master.noarch     
Marking /var/tmp/yum-root-NZPcDW/ovirt-release-master-latest.master.noarch.rpm to be installed                                   
Resolving Dependencies                                                                                                           
--> Running transaction check                                                                                                    
---> Package ovirt-release-master.noarch 0:001-0.9.master will be installed                                                      
--> Finished Dependency Resolution                                                                                               
rhel-7.2                                                                                                  | 4.1 kB  00:00:00     
rhel-7.2/group_gz                                                                                         | 135 kB  00:00:00     
rhel-7.2/primary_db                                                                                       | 3.6 MB  00:00:00     
rhel-72-optional                                                                                          | 3.8 kB  00:00:00     
rhel-72-optional/group_gz                                                                                 | 6.1 kB  00:00:00     
rhel-72-optional/primary_db                                                                               | 1.8 MB  00:00:00     

Dependencies Resolved

=================================================================================================================================
 Package                       Arch            Version                 Repository                                           Size 
=================================================================================================================================
Installing:                                                                                                                      
 ovirt-release-master          noarch          001-0.9.master          /ovirt-release-master-latest.master.noarch          8.1 k 

Transaction Summary
=================================================================================================================================
Install  1 Package

Total size: 8.1 k
Installed size: 8.1 k
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : ovirt-release-master-001-0.9.master.noarch                                                                    1/1
  Verifying  : ovirt-release-master-001-0.9.master.noarch                                                                    1/1

Installed:
  ovirt-release-master.noarch 0:001-0.9.master

Complete!
[root@alma03 ~]# ls /etc/yum.repos.d/
ovirt-master-dependencies.repo  ovirt-master-snapshot.repo  ovirt.repo  redhat.repo
[root@alma03 ~]# cat /etc/yum.repos.d/ovirt-master-snapshot.repo
[ovirt-master-snapshot]
name=Latest oVirt master nightly snapshot
#baseurl=http://bob.eng.lab.tlv.redhat.com/pub/ovirt-master-snapshot/rpm/el$releasever/
baseurl=http://bob.eng.lab.tlv.redhat.com/builds/3.6/3.6.0/3.6.0-3/snapshot/rpm/el$releasever
enabled=1
skip_if_unavailable=1
gpgcheck=0

[ovirt-master-snapshot-static]
name=Latest oVirt master additional nightly snapshot
#baseurl=http://bob.eng.lab.tlv.redhat.com/pub/ovirt-master-snapshot-static/rpm/el$releasever/
baseurl=http://bob.eng.lab.tlv.redhat.com/builds/3.6/3.6.0/3.6.0-3/snapshot-static/rpm/el$releasever
enabled=1
skip_if_unavailable=1
gpgcheck=0

Version-Release number of selected component (if applicable):
http://bob.eng.lab.tlv.redhat.com/builds/3.6/3.6.0/latest_3.6.0/ovirt-release-master-latest.master.noarch.rpm

How reproducible:


Steps to Reproduce:
1.Follow the Mojo page https://mojo.redhat.com/docs/DOC-1021085
2.yum install -y http://bob.eng.lab.tlv.redhat.com/builds/3.6/3.6.0/latest_3.6.0/ovirt-release-master-latest.master.noarch.rpm
3.cat /etc/yum.repos.d/ovirt-master-snapshot.repo

Actual results:
ovirt-master-snapshot.repo pointing to 3.6.0-3 instead of pointing to 3.6.0-4

Expected results:
ovirt-master-snapshot.repo pointing to 3.6.0-4

Additional info:
Comment 4 Gil Klein 2016-02-23 13:33:21 EST
Works fine with the 3.6.3 build

Note You need to log in before you can comment on or make changes to this bug.